<div
  class="full-width"
  [formGroup]="formGroup"
  [attr.data-test-field-name]="fieldName"
>
  <nz-input-number
    class="full-width"
    [nzStep]="step"
    [formControlName]="fieldName"
    [nzPrecision]="precision"
  >
  </nz-input-number>
  @for (error of errors; track error) {
    <div class="has-error">
      <span
        [attr.data-test-error-key]="error.provideI18nKey()"
        class="sqtm-core-error-message"
        >{{ error.provideI18nKey() | translate }}</span
      >
    </div>
  }
</div>
